# @lfk/kiosk

## Overview 👀

This is a simple kiosk style register form for the LfK runnersystem.
The basic idea is:

1. Create a runnersystem user with only `RUNNER:CREATE` permissions.
2. Login with this user under `/login`
3. Runners can register via their firstname and lastname
4. The kiosk creates the runner via the backend and shows their id, firstname, lastname and a barcode containing their id along

## Development 🛠️

```shell
pnpm i
pnpm dev --open
```

## Build 🚀

```shell
pnpm i
pnpm build
```

## Docker 🐳

```shell
docker build .
docker-compose up
```

## Kiosk Google Chrome

``` shell
chrome https://run.lauf-fuer-kaya.de/kiosk/ -kiosk
```
